<?php

namespace App\Classes\Modules\ControllersLogic\Companies\AddressBook;

use App\Classes\Modules\AddressBook\Services\ListsAddressBook;

class ListAddressBookLogic
{
    /** @var ListsAddressBook */
    private $ListsAddressBook;

    /**
     * ListAddressBookLogic constructor.
     * @param ListsAddressBook $ListsAddressBook
     */
    public function __construct(ListsAddressBook $ListsAddressBook)
    {
        $this->ListsAddressBook = $ListsAddressBook;
    }


    public function execute(String $companyId){

        return $this->ListsAddressBook->execute($companyId);

    }
}